Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.schema
Class Schemas

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.schema.Schemas

public class Schemas
extends java.lang.Object

Helper class to deal with schemas.

Constructor Summary
`Schemas()`

Method Summary
`static java.lang.Class` | `getJavaClass(int type, int size, int decimals)` Return the java type for the given SQL type from `Types`.
`static java.lang.String` | `getJDBCName(int type)` Return the SQL type name for the given `Types` constant.
`static int` | `getJDBCType(java.lang.String name)` Return the `Types` constant for the given SQL type name.
`static java.lang.String` | `getNewTableSchema(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf)` Return the schema name that should be used for new tables, or null if none.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Schemas

    public Schemas()

Method Detail

### getJDBCName

    public static java.lang.String getJDBCName(int type)

  Return the SQL type name for the given `Types` constant.

### getJDBCType

    public static int getJDBCType(java.lang.String name)

  Return the `Types` constant for the given SQL type name.

### getJavaClass

    public static java.lang.Class getJavaClass(int type,
                                               int size,
                                               int decimals)

  Return the java type for the given SQL type from `Types`.

### getNewTableSchema

    public static java.lang.String getNewTableSchema(com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration conf)

  Return the schema name that should be used for new tables, or null if none.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.